<template>
    <div class="about">
        <h1>This is an about page</h1>
        <button @click="addItem">Add Item</button>
        <ul>
          <li v-for="(item, index) in inventoryStore.items">
              {{item}}
              <RouterLink :to="'about/' + index">Details</RouterLink>
              <RouterLink :to="{name: 'item-detail', params: {itemIndex: index}}">Details aber anders</RouterLink>
          </li>
        </ul>
    </div>
</template>

<script setup>
    import {useInventoryStore} from "@/stores/InventoryStore";

    const inventoryStore = useInventoryStore()

    function addItem() {
        inventoryStore.items.push("hi")
    }
</script>

<style>
@media (min-width: 1024px) {
    .about {
        min-height: 100vh;
        display: flex;
        align-items: center;
    }
}
</style>
